package com.yizhi.enroll.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class GetEnrollVO {

    private Long id;

    private Long trainingProjectId;

    private Date startTime;

    private Date endTime;

    private String notice;

    private Boolean needAudit = false;

    private Integer limit = 0;

    private Integer hasEnrolledNum = 0;

    private Boolean hasEnrolled = false;

    /**
     * 审核状态：0：不需要审核，1：待审核，2：审核通过，3：审核不通过
     */
    private Integer auditStatus = 0;

    //根据这个判断报名是否有限制人数
    private Boolean hasLimitNums;

    @ApiModelProperty(value = "是否付费报名，默认false")
    private Integer enablePay;

    @ApiModelProperty(value = "购买实际价格")
    private Integer actualPrice;

    @ApiModelProperty(value = "购买原价格")
    private Integer originalPrice;

}
