package com.yizhi.enroll.application.vo.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 记录学员报名信息
 * </p>
 *
 * @author bob123
 * @since 2018-03-07
 */
@Data
@ApiModel(value = "EnrollRecord", description = "学员报名信息")

public class EnrollRecord {

	private static final long serialVersionUID = 2937169388796143250L;

	@ApiModelProperty(notes = "主键id")
	private Long id;
	
	@ApiModelProperty(notes = "培训项目_id")
	
	private Long trainingProjectId;
	
	@ApiModelProperty(notes = "学员_id")
	
	private Long accountId;
	
	@ApiModelProperty(notes = "所在部门_ID")
	
	private Long orgId;
	
	@ApiModelProperty(notes = "报名时间")
	
	private Date applyTime;
	
	@ApiModelProperty(notes = "审核状态：0：不需要审核，1：待审核，2：审核通过，3：审核不通过。默认0。")
	
	private Integer auditStatus;
	
	@ApiModelProperty(notes = "审核人id")
	
	private Long auditUserId;
	
	@ApiModelProperty(notes = "审核人姓名")
	
	private String auditUserName;
	
	@ApiModelProperty(notes = "审核时间")
	
	private Date auditTime;

	@ApiModelProperty("项目报名花费金币数")
	private Integer expenditure;

}
