package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 报名主体表，入口在培训项目
 * </p>
 *
 * @author bob123
 * @since 2018-03-07
 */
@Data

@TableName("tr_enroll")
public class Enroll extends Model<Enroll> {

	private static final long serialVersionUID = 1L;
	
	
	@TableField(value = "id")
	private Long id;
    
	
    @TableField("training_project_id")
    private Long trainingProjectId;
    
	
    @TableField("start_time")
    private Date startTime;
    
	
    @TableField("end_time")
    private Date endTime;
    
	
    @TableField("person_limit_num")
    private Integer personLimitNum;
    
	
    @TableField("need_audit")
    private Integer needAudit;
    
	
    private String notice;
    
	
    @TableField("create_by_id")
    private Long createById;
    
	
    @TableField("create_by_name")
    private String createByName;
    
	
    @TableField("create_time")
    private Date createTime;
    
	
    @TableField("update_by_id")
    private Long updateById;
    
	
    @TableField("update_by_name")
    private String updateByName;
    
	
    @TableField("update_time")
    private Date updateTime;
    
	
    @TableField("company_id")
    private Long companyId;
	
	
    @TableField("org_id")
    private Long orgId;
	
	
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "是否付费报名，默认false")
    @TableField("enable_pay")
    private Integer enablePay;

    @ApiModelProperty(value = "购买实际价格")
    @TableField("actual_price")
    private Integer actualPrice;

    @ApiModelProperty(value = "购买原价格")
    @TableField("original_price")
    private Integer originalPrice;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
