package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 记录学员报名信息
 * </p>
 *
 * @author bob123
 * @since 2018-03-07
 */
@Data

@TableName("tr_enroll_record")
public class EnrollRecord extends Model<EnrollRecord> {

	private static final long serialVersionUID = 2937169388796143250L;

	
	private Long id;
	
	
	@TableField("training_project_id")
	private Long trainingProjectId;
	
	
	@TableField("account_id")
	private Long accountId;
	
	
	@TableField("org_id")
	private Long orgId;
	
	
	@TableField("apply_time")
	private Date applyTime;
	
	
	@TableField("audit_status")
	private Integer auditStatus;
	
	
	@TableField("audit_user_id")
	private Long auditUserId;
	
	
	@TableField("audit_user_name")
	private String auditUserName;
	
	
	@TableField("audit_time")
	private Date auditTime;

	@TableField("expenditure")
	@ApiModelProperty("项目报名花费金币数")
	private Integer expenditure;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
