package com.yizhi.application.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.EnrollRecord;
import com.yizhi.enroll.application.vo.AuditVO;
import com.yizhi.enroll.application.vo.EnrollerVo;
import com.yizhi.enroll.application.vo.TrainningEnrollVO;

/**
 * <p>
 * 记录学员报名信息 服务类
 * </p>
 *
 * @author bob123
 * @since 2018-03-07
 */
public interface EnrollRecordService extends IService<EnrollRecord> {

	List<EnrollerVo> exportRegisteredList(Map<String, Object> map);

	/**
	 * 报名管理分页查询
	 * 
	 * @param map
	 *            条件
	 * @param pageIndex
	 *            页码
	 * @param pageSize
	 *            页数量
	 * @return
	 */
	Page<EnrollerVo> listEnroll(Map<String, Object> map,Page<EnrollerVo> page);

	/**
	 * 添加学员报名信息
	 * 
	 * @param trainingProjectId
	 * @return
	 */
	Long insertTrEnrollRecord(Long trainingProjectId);

	/**
	 * 审核
	 * 
	 * @param trPid
	 * @param aId
	 * @param auditStatus
	 */
	boolean auditEnroll(AuditVO vo);

	/**
	 * 项目id 获取学员项目 报名 信息
	 * @param idList
	 * @return
	 */
	List<TrainningEnrollVO> selectTrainningEnroll(List<Long> idList);
	
	/**
	 * 更新报名状态
	 */
	Integer updateState(EnrollRecord enrollRecord);

}
