package com.yizhi.application.util;

import java.io.IOException;
import java.util.Date;
import java.util.List;

import com.yizhi.util.application.date.DateUtil;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRichTextString;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.util.CellRangeAddress;

import com.yizhi.enroll.application.vo.EnrollerVo;

public class ExportUtil {

	public HSSFWorkbook export(List<EnrollerVo> list) throws IOException {
		// 创建新的Excel 工作簿
		HSSFWorkbook workBook = new HSSFWorkbook();
		
		// 在Excel工作簿中建一工作表，其名为缺省值
		HSSFSheet sheet = workBook.createSheet("已报名用户统计表");
		sheet.setDefaultColumnWidth(15);
		CellRangeAddress cellRangeAddress = new CellRangeAddress(0, 0, 0, 5);
		sheet.addMergedRegion(cellRangeAddress);

		// 第一行
		// 在索引0的位置创建行（最顶端的行）
		HSSFRow row = sheet.createRow(0);
		// 在索引0的位置创建单元格(左上端)
		HSSFCell cell = row.createCell(0);
		cell.setCellValue(new HSSFRichTextString("已报名用户统计表"));

		// 第二行
		cellRangeAddress = new CellRangeAddress(1, 1, 0, 5);
		sheet.addMergedRegion(cellRangeAddress);
		row = sheet.createRow(1);
		cell = row.createCell(0);
		cell.setCellValue("统计周期：截止" + DateUtil.toSeconds(new Date()));
		
		// 第三行
		cellRangeAddress = new CellRangeAddress(2, 2, 0, 5);
		sheet.addMergedRegion(cellRangeAddress);
		row = sheet.createRow(2);
		cell = row.createCell(0);
		cell.setCellValue("用户名");
		cell = row.createCell(1);
		cell.setCellValue("所在部门");
		cell = row.createCell(2);
		cell.setCellValue("报名时间");
		cell = row.createCell(3);
		cell.setCellValue("报名状态");
		cell = row.createCell(4);
		cell.setCellValue("审核状态");
		cell = row.createCell(5);
		cell.setCellValue("用户状态");
		
		// 填充数据
		for (int i = 0; i < list.size(); i++) {
			EnrollerVo ev = list.get(i);
			row = sheet.createRow(2 + i);
			row.createCell(0).setCellValue(ev.getUserName());
			row.createCell(1).setCellValue(ev.getOrgName());
			row.createCell(2).setCellValue(ev.getApplyTime());
			row.createCell(3).setCellValue(ev.getState());
			row.createCell(4).setCellValue(ev.getAuditResult());
			row.createCell(5).setCellValue(ev.getAccountState());
		}
		return workBook;
	}
}
